package com.jiuqi.db;

import java.net.URL;
import java.util.Calendar;
import java.sql.Array;
import java.sql.Clob;
import java.sql.Blob;
import java.sql.Ref;
import java.util.Map;
import java.io.Reader;
import java.sql.ResultSetMetaData;
import java.sql.SQLWarning;
import java.io.InputStream;
import java.sql.Timestamp;
import java.sql.Time;
import java.sql.Date;
import java.math.BigDecimal;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.ResultSet;

public class DBResultSet implements ResultSet
{
    private static final String NULL_STR = "";
    private ResultSet rs;
    private Statement stmt;
    
    public DBResultSet(final Statement aStmt, final ResultSet aResultSet) {
        this.rs = aResultSet;
        this.stmt = aStmt;
        DBTrace.createConnection(this);
    }
    
    public boolean next() throws SQLException {
        return this.rs.next();
    }
    
    public void close() throws SQLException {
        this.rs.close();
        DBTrace.closeConnection(this);
    }
    
    public boolean wasNull() throws SQLException {
        return this.rs.wasNull();
    }
    
    public String getString(final int int0) throws SQLException {
        final String value = this.rs.getString(int0);
        return (value == null) ? "" : value;
    }
    
    public boolean getBoolean(final int int0) throws SQLException {
        return this.rs.getBoolean(int0);
    }
    
    public byte getByte(final int int0) throws SQLException {
        return this.rs.getByte(int0);
    }
    
    public short getShort(final int int0) throws SQLException {
        return this.rs.getShort(int0);
    }
    
    public int getInt(final int int0) throws SQLException {
        return this.rs.getInt(int0);
    }
    
    public long getLong(final int int0) throws SQLException {
        return this.rs.getLong(int0);
    }
    
    public float getFloat(final int int0) throws SQLException {
        return this.rs.getFloat(int0);
    }
    
    public double getDouble(final int int0) throws SQLException {
        return this.rs.getDouble(int0);
    }
    
    @Deprecated
    public BigDecimal getBigDecimal(final int int0, final int int1) throws SQLException {
        return this.rs.getBigDecimal(int0, int1);
    }
    
    public byte[] getBytes(final int int0) throws SQLException {
        return this.rs.getBytes(int0);
    }
    
    public Date getDate(final int int0) throws SQLException {
        return this.rs.getDate(int0);
    }
    
    public Time getTime(final int int0) throws SQLException {
        return this.rs.getTime(int0);
    }
    
    public Timestamp getTimestamp(final int int0) throws SQLException {
        return this.rs.getTimestamp(int0);
    }
    
    public InputStream getAsciiStream(final int int0) throws SQLException {
        return this.rs.getAsciiStream(int0);
    }
    
    @Deprecated
    public InputStream getUnicodeStream(final int int0) throws SQLException {
        return this.rs.getUnicodeStream(int0);
    }
    
    public InputStream getBinaryStream(final int int0) throws SQLException {
        return this.rs.getBinaryStream(int0);
    }
    
    public String getString(final String string) throws SQLException {
        final String value = this.rs.getString(string);
        return (value == null) ? "" : value;
    }
    
    public boolean getBoolean(final String string) throws SQLException {
        return this.rs.getBoolean(string);
    }
    
    public byte getByte(final String string) throws SQLException {
        return this.rs.getByte(string);
    }
    
    public short getShort(final String string) throws SQLException {
        return this.rs.getShort(string);
    }
    
    public int getInt(final String string) throws SQLException {
        return this.rs.getInt(string);
    }
    
    public long getLong(final String string) throws SQLException {
        return this.rs.getLong(string);
    }
    
    public float getFloat(final String string) throws SQLException {
        return this.rs.getFloat(string);
    }
    
    public double getDouble(final String string) throws SQLException {
        return this.rs.getDouble(string);
    }
    
    @Deprecated
    public BigDecimal getBigDecimal(final String string, final int int1) throws SQLException {
        return this.rs.getBigDecimal(string, int1);
    }
    
    public byte[] getBytes(final String string) throws SQLException {
        return this.rs.getBytes(string);
    }
    
    public Date getDate(final String string) throws SQLException {
        return this.rs.getDate(string);
    }
    
    public Time getTime(final String string) throws SQLException {
        return this.rs.getTime(string);
    }
    
    public Timestamp getTimestamp(final String string) throws SQLException {
        return this.rs.getTimestamp(string);
    }
    
    public InputStream getAsciiStream(final String string) throws SQLException {
        return this.rs.getAsciiStream(string);
    }
    
    @Deprecated
    public InputStream getUnicodeStream(final String string) throws SQLException {
        return this.rs.getUnicodeStream(string);
    }
    
    public InputStream getBinaryStream(final String string) throws SQLException {
        return this.rs.getBinaryStream(string);
    }
    
    public SQLWarning getWarnings() throws SQLException {
        return this.rs.getWarnings();
    }
    
    public void clearWarnings() throws SQLException {
        this.rs.clearWarnings();
    }
    
    public String getCursorName() throws SQLException {
        return this.rs.getCursorName();
    }
    
    public ResultSetMetaData getMetaData() throws SQLException {
        return this.rs.getMetaData();
    }
    
    public Object getObject(final int int0) throws SQLException {
        return this.rs.getObject(int0);
    }
    
    public Object getObject(final String string) throws SQLException {
        return this.rs.getObject(string);
    }
    
    public int findColumn(final String string) throws SQLException {
        return this.rs.findColumn(string);
    }
    
    public Reader getCharacterStream(final int int0) throws SQLException {
        return this.rs.getCharacterStream(int0);
    }
    
    public Reader getCharacterStream(final String string) throws SQLException {
        return this.rs.getCharacterStream(string);
    }
    
    public BigDecimal getBigDecimal(final int int0) throws SQLException {
        return this.rs.getBigDecimal(int0);
    }
    
    public BigDecimal getBigDecimal(final String string) throws SQLException {
        return this.rs.getBigDecimal(string);
    }
    
    public boolean isBeforeFirst() throws SQLException {
        return this.rs.isBeforeFirst();
    }
    
    public boolean isAfterLast() throws SQLException {
        return this.rs.isAfterLast();
    }
    
    public boolean isFirst() throws SQLException {
        return this.rs.isFirst();
    }
    
    public boolean isLast() throws SQLException {
        return this.rs.isLast();
    }
    
    public void beforeFirst() throws SQLException {
        this.rs.beforeFirst();
    }
    
    public void afterLast() throws SQLException {
        this.rs.afterLast();
    }
    
    public boolean first() throws SQLException {
        return this.rs.first();
    }
    
    public boolean last() throws SQLException {
        return this.rs.last();
    }
    
    public int getRow() throws SQLException {
        return this.rs.getRow();
    }
    
    public boolean absolute(final int int0) throws SQLException {
        return this.rs.absolute(int0);
    }
    
    public boolean relative(final int int0) throws SQLException {
        return this.rs.relative(int0);
    }
    
    public boolean previous() throws SQLException {
        return this.rs.previous();
    }
    
    public void setFetchDirection(final int int0) throws SQLException {
        this.rs.setFetchDirection(int0);
    }
    
    public int getFetchDirection() throws SQLException {
        return this.rs.getFetchDirection();
    }
    
    public void setFetchSize(final int int0) throws SQLException {
        this.rs.setFetchSize(int0);
    }
    
    public int getFetchSize() throws SQLException {
        return this.rs.getFetchSize();
    }
    
    public int getType() throws SQLException {
        return this.rs.getType();
    }
    
    public int getConcurrency() throws SQLException {
        return this.rs.getConcurrency();
    }
    
    public boolean rowUpdated() throws SQLException {
        return this.rs.rowUpdated();
    }
    
    public boolean rowInserted() throws SQLException {
        return this.rs.rowInserted();
    }
    
    public boolean rowDeleted() throws SQLException {
        return this.rs.rowDeleted();
    }
    
    public void updateNull(final int int0) throws SQLException {
        this.rs.updateNull(int0);
    }
    
    public void updateBoolean(final int int0, final boolean boolean1) throws SQLException {
        this.rs.updateBoolean(int0, boolean1);
    }
    
    public void updateByte(final int int0, final byte byte1) throws SQLException {
        this.rs.updateByte(int0, byte1);
    }
    
    public void updateShort(final int int0, final short short1) throws SQLException {
        this.rs.updateShort(int0, short1);
    }
    
    public void updateInt(final int int0, final int int1) throws SQLException {
        this.rs.updateInt(int0, int1);
    }
    
    public void updateLong(final int int0, final long long1) throws SQLException {
        this.rs.updateLong(int0, long1);
    }
    
    public void updateFloat(final int int0, final float float1) throws SQLException {
        this.rs.updateFloat(int0, float1);
    }
    
    public void updateDouble(final int int0, final double double1) throws SQLException {
        this.rs.updateDouble(int0, double1);
    }
    
    public void updateBigDecimal(final int int0, final BigDecimal bigDecimal) throws SQLException {
        this.rs.updateBigDecimal(int0, bigDecimal);
    }
    
    public void updateString(final int int0, final String string) throws SQLException {
        this.rs.updateString(int0, string);
    }
    
    public void updateBytes(final int int0, final byte[] byteArray) throws SQLException {
        this.rs.updateBytes(int0, byteArray);
    }
    
    public void updateDate(final int int0, final Date date) throws SQLException {
        this.rs.updateDate(int0, date);
    }
    
    public void updateTime(final int int0, final Time time) throws SQLException {
        this.rs.updateTime(int0, time);
    }
    
    public void updateTimestamp(final int int0, final Timestamp timestamp) throws SQLException {
        this.rs.updateTimestamp(int0, timestamp);
    }
    
    public void updateAsciiStream(final int int0, final InputStream inputStream, final int int2) throws SQLException {
        this.rs.updateAsciiStream(int0, inputStream, int2);
    }
    
    public void updateBinaryStream(final int int0, final InputStream inputStream, final int int2) throws SQLException {
        this.rs.updateBinaryStream(int0, inputStream, int2);
    }
    
    public void updateCharacterStream(final int int0, final Reader reader, final int int2) throws SQLException {
        this.rs.updateCharacterStream(int0, reader, int2);
    }
    
    public void updateObject(final int int0, final Object object, final int int2) throws SQLException {
        this.rs.updateObject(int0, object, int2);
    }
    
    public void updateObject(final int int0, final Object object) throws SQLException {
        this.rs.updateObject(int0, object);
    }
    
    public void updateNull(final String string) throws SQLException {
        this.rs.updateNull(string);
    }
    
    public void updateBoolean(final String string, final boolean boolean1) throws SQLException {
        this.rs.updateBoolean(string, boolean1);
    }
    
    public void updateByte(final String string, final byte byte1) throws SQLException {
        this.rs.updateByte(string, byte1);
    }
    
    public void updateShort(final String string, final short short1) throws SQLException {
        this.rs.updateShort(string, short1);
    }
    
    public void updateInt(final String string, final int int1) throws SQLException {
        this.rs.updateInt(string, int1);
    }
    
    public void updateLong(final String string, final long long1) throws SQLException {
        this.rs.updateLong(string, long1);
    }
    
    public void updateFloat(final String string, final float float1) throws SQLException {
        this.rs.updateFloat(string, float1);
    }
    
    public void updateDouble(final String string, final double double1) throws SQLException {
        this.rs.updateDouble(string, double1);
    }
    
    public void updateBigDecimal(final String string, final BigDecimal bigDecimal) throws SQLException {
        this.rs.updateBigDecimal(string, bigDecimal);
    }
    
    public void updateString(final String string, final String string1) throws SQLException {
        this.rs.updateString(string, string1);
    }
    
    public void updateBytes(final String string, final byte[] byteArray) throws SQLException {
        this.rs.updateBytes(string, byteArray);
    }
    
    public void updateDate(final String string, final Date date) throws SQLException {
        this.rs.updateDate(string, date);
    }
    
    public void updateTime(final String string, final Time time) throws SQLException {
        this.rs.updateTime(string, time);
    }
    
    public void updateTimestamp(final String string, final Timestamp timestamp) throws SQLException {
        this.rs.updateTimestamp(string, timestamp);
    }
    
    public void updateAsciiStream(final String string, final InputStream inputStream, final int int2) throws SQLException {
        this.rs.updateAsciiStream(string, inputStream, int2);
    }
    
    public void updateBinaryStream(final String string, final InputStream inputStream, final int int2) throws SQLException {
        this.rs.updateBinaryStream(string, inputStream, int2);
    }
    
    public void updateCharacterStream(final String string, final Reader reader, final int int2) throws SQLException {
        this.rs.updateCharacterStream(string, reader, int2);
    }
    
    public void updateObject(final String string, final Object object, final int int2) throws SQLException {
        this.rs.updateObject(string, object, int2);
    }
    
    public void updateObject(final String string, final Object object) throws SQLException {
        this.rs.updateObject(string, object);
    }
    
    public void insertRow() throws SQLException {
        this.rs.insertRow();
    }
    
    public void updateRow() throws SQLException {
        this.rs.updateRow();
    }
    
    public void deleteRow() throws SQLException {
        this.rs.deleteRow();
    }
    
    public void refreshRow() throws SQLException {
        this.rs.refreshRow();
    }
    
    public void cancelRowUpdates() throws SQLException {
        this.rs.cancelRowUpdates();
    }
    
    public void moveToInsertRow() throws SQLException {
        this.rs.moveToInsertRow();
    }
    
    public void moveToCurrentRow() throws SQLException {
        this.rs.moveToCurrentRow();
    }
    
    public Statement getStatement() throws SQLException {
        return this.stmt;
    }
    
    public Object getObject(final int int0, final Map map) throws SQLException {
        return this.rs.getObject(int0, map);
    }
    
    public Ref getRef(final int int0) throws SQLException {
        return this.rs.getRef(int0);
    }
    
    public Blob getBlob(final int int0) throws SQLException {
        return this.rs.getBlob(int0);
    }
    
    public Clob getClob(final int int0) throws SQLException {
        return this.rs.getClob(int0);
    }
    
    public Array getArray(final int int0) throws SQLException {
        return this.rs.getArray(int0);
    }
    
    public Object getObject(final String string, final Map map) throws SQLException {
        return this.rs.getObject(string, map);
    }
    
    public Ref getRef(final String string) throws SQLException {
        return this.rs.getRef(string);
    }
    
    public Blob getBlob(final String string) throws SQLException {
        return this.rs.getBlob(string);
    }
    
    public Clob getClob(final String string) throws SQLException {
        return this.rs.getClob(string);
    }
    
    public Array getArray(final String string) throws SQLException {
        return this.rs.getArray(string);
    }
    
    public Date getDate(final int int0, final Calendar calendar) throws SQLException {
        return this.rs.getDate(int0, calendar);
    }
    
    public Date getDate(final String string, final Calendar calendar) throws SQLException {
        return this.rs.getDate(string, calendar);
    }
    
    public Time getTime(final int int0, final Calendar calendar) throws SQLException {
        return this.rs.getTime(int0, calendar);
    }
    
    public Time getTime(final String string, final Calendar calendar) throws SQLException {
        return this.rs.getTime(string, calendar);
    }
    
    public Timestamp getTimestamp(final int int0, final Calendar calendar) throws SQLException {
        return this.rs.getTimestamp(int0, calendar);
    }
    
    public Timestamp getTimestamp(final String string, final Calendar calendar) throws SQLException {
        return this.rs.getTimestamp(string, calendar);
    }
    
    public URL getURL(final int columnIndex) throws SQLException {
        return this.rs.getURL(columnIndex);
    }
    
    public URL getURL(final String columnName) throws SQLException {
        return this.rs.getURL(columnName);
    }
    
    public void updateRef(final int columnIndex, final Ref x) throws SQLException {
        this.rs.updateRef(columnIndex, x);
    }
    
    public void updateRef(final String columnName, final Ref x) throws SQLException {
        this.rs.updateRef(columnName, x);
    }
    
    public void updateBlob(final int columnIndex, final Blob x) throws SQLException {
        this.rs.updateBlob(columnIndex, x);
    }
    
    public void updateBlob(final String columnName, final Blob x) throws SQLException {
        this.rs.updateBlob(columnName, x);
    }
    
    public void updateClob(final int columnIndex, final Clob x) throws SQLException {
        this.rs.updateClob(columnIndex, x);
    }
    
    public void updateClob(final String columnName, final Clob x) throws SQLException {
        this.rs.updateClob(columnName, x);
    }
    
    public void updateArray(final int columnIndex, final Array x) throws SQLException {
        this.rs.updateArray(columnIndex, x);
    }
    
    public void updateArray(final String columnName, final Array x) throws SQLException {
        this.rs.updateArray(columnName, x);
    }
}
